open System
open System.Windows.Forms;;
open Microsoft.FSharp
open Microsoft.FSharp.Quotations
open Microsoft.FSharp.Quotations.Raw;;

(*---------------------------------------------------------------------------*)
/// Builds F# source file from given quotation expression and compiles
/// it using FSC compiler. This method expects that given expression
/// contains global declaration of variable 'q'
///
/// Example:
///   compileExpr "let q=<@@ 1+2 @@>;;"
val compileExpr : string -> expr option;;